Whether the module is active and the state of the extraction queue (tenant:dms:read)
GET /api/dms/v1/config/status
Module: DMS · operationId: getConfigStatus · Tag: Configuration · Auth: access token (Authorization: Bearer <accessToken>)
Responses
- 200 Status (
application/json)
Fields of the 200 answer:
active(boolean): The module is active for the tenantextraction(object): State of the extraction queuefailedLast24h(integer): Extractions that failed in the last 24 hoursoldestPendingSeconds(integer): Age of the oldest queued extraction in secondspending(integer): Queued or running extractionsservices(object): Reachability of the extraction services by name
Example 200 answer:
{
"active": true,
"extraction": {
"failedLast24h": 0,
"oldestPendingSeconds": 14,
"pending": 2,
"services": {
"ai": "ok",
"tika": "ok"
}
}
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/dms/v1/config/status' \
-H "Authorization: Bearer $ACCESS_TOKEN"